Bug 1170811 - gpgme: Fails to build with latest gpg-2.2.20
gpgme: Fails to build with latest gpg-2.2.20
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other openSUSE Factory
: P5 - None : Minor (vote)
: ---
Assigned To: Pedro Monreal Gonzalez
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-29 11:08 UTC by Pedro Monreal Gonzalez
Modified: 2021-09-08 18:37 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Monreal Gonzalez 2020-04-29 11:08:27 UTC
gpgme fails to build since the last gpg2 update to version 2.2.20. 

[  149s] starting gpg-agent..
[  149s] OK
[  149s] PASS: initial.test
[  149s] Running t-config...
[  149s]  success
[  149s] Running t-version...
[  149s]  success
[  149s] Running t-keylist...
[  149s]  success
[  149s] Running t-keylist-secret...
[  149s]  failed
[  149s] FAIL: t-json
[  149s] stopping gpg-agent 

See build log for details.

https://build.opensuse.org/package/live_build_log/Base:System/gpgme/openSUSE_Factory/x86_64
Comment 1 Pedro Monreal Gonzalez 2020-04-29 11:09:13 UTC
Fix from Debian folks:
   https://salsa.debian.org/debian/gpgme/-/commit/fb83af03ccf0897cce92833aee2e02974d5eda9b
Comment 3 Pedro Monreal Gonzalez 2020-04-30 13:53:52 UTC
Submitted here:
  https://build.opensuse.org/request/show/799240
Comment 4 Andreas Stieger 2020-05-03 06:55:39 UTC
fixed